webdevqa.jp.net

"Gtk-警告:module_pathでテーマエンジンを見つけることができません:Ubuntu 13.10にAdobe airのインストール中に「murrine」エラーが発生します

こんにちは、ubuntuは初めてで、コンピューターにAdobe airをインストールする必要があります!私はubuntu 13.10バージョンを持っています。

次の手順を実行しました。

  1. $ sudo apt-get install libgtk2.0-0:i386 libpangox-1.0-0:i386 libpangoxft-1.0-0:i386 libidn11:i386 libglu1-mesa:i386
  2. Adobe Airをダウンロードしました( http://airdownload.Adobe.com/air/lin/download/2.6/AdobeAIRInstaller.bin
  3. $ chmod + x Adob​​eAIRInstaller.bin
  4. $ ./AdobeAIRInstaller.bin

この時点で、エラーメッセージが表示されました。

  Gtk-Message: Failed to load module "overlay-scrollbar"
  Gtk-Message: Failed to load module "unity-gtk-module"
  (setup:3193): Gtk-WARNING **: Unable to locate theme engine in module_path: "murrine",
  Gtk-Message: Failed to load module "canberra-gtk-module"

5-別のウェブサイトを見た後、私はこれをやった:

  $ Sudo apt-get install --reinsta gtk2-engines
  $ Sudo apt-get install gtk-murrine-engine gtk-equinox-engine

そして、私は最後のコマンドのためにこのエラーメッセージを受け取りました:

E:パッケージgtk-murrine-engineが見つかりません

E:パッケージgtk-equinox-engineが見つかりません

だから私はもう何をすべきかわからない、誰かが私を助けてくれますか?

どうもありがとう

18
user3174967

以下をインストールすると修正されます..

Sudo apt-get install gtk2-engines
Sudo apt-get install gtk2-engines-*
Sudo apt-get install libgtkmm-2.4-1c2
Sudo apt-get install libcanberra-gtk-module

それがうまくいかない場合は、試してください..

Sudo apt-get install gtk2-engines:i386
Sudo apt-get install gtk2-engines-*:i386
Sudo apt-get install libgtkmm-2.4-1c2:i386
Sudo apt-get install libcanberra-gtk-module:i386
21
eldos
Sudo apt-get install libgtkmm-2.4-1c2 

これで問題は解決しました。

6
Rehan12

これと同じ問題があり、このDEBパッケージをインストールするだけで解決しました。gtk2-engines-murrine

APTパッケージマネージャーを使用する32ビットLinuxオペレーティングシステムでは、そのパッケージをインストールするために必要な作業は、Linuxシェルで次のコマンドを実行することだけです。

Sudo apt-get install gtk2-engines-murrine

私のシステムは、64ビットXUbuntu Linuxバージョン16.04「Xenial Xerus」です。あなたのシステムが私のように64ビットである(そしてAPTをパッケージマネージャーとして使用する)場合、このスーパーコマンドを実行します:

Sudo dpkg --add-architecture i386 ; Sudo apt-get install gtk2-engines-murrine:i386
  • 注:上記のスーパーコマンドでは、最初のコマンド(左側)は64ビットシステムの32ビットパッケージサポートを追加し、2番目のコマンド(右側)は64ビットシステムに32ビットパッケージをインストールします。
3
Yuri Sucupira

overlay-scrollbar-gtk2およびunity- gtk2-moduleパッケージ。次のインストールで問題は解決しました。

Sudo apt-get install overlay-scrollbar-gtk2 unity-gtk2-module
0
Ali Mirzaei

やった

Sudo apt-get install gtk2-engines
Sudo apt-get install gtk2-engines-*
Sudo apt-get install libgtkmm-2.4-1c2
Sudo apt-get install libcanberra-gtk-module 

ただし、同じエラーが発生します。その後、 murrine-0.90.3.tar.gz をダウンロードしてインストールします。

tar -xvf murrine-0.90.3.tar.gz
cd murrine-0.90.3
./configure
make 
make install

その後、私は./AdobeAIRInstaller.binを実行し、それは私のために機能します。これが誰かを助けることを願っています。

0